> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mithril.fyi/llms.txt
> Use this file to discover all available pages before exploring further.

# Purchase Coverage

> Creates a new insurance policy.



## OpenAPI

````yaml POST /policies
openapi: 3.1.0
info:
  title: Mithril Protocol API
  description: API for interacting with Mithril, Solana's first insurance protocol.
  version: 1.0.0
servers:
  - url: https://api.mithril.protocol/v1
security: []
paths:
  /policies:
    post:
      summary: Purchase Coverage
      description: Creates a new insurance policy.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewPolicy'
      responses:
        '200':
          description: Policy created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Policy'
components:
  schemas:
    NewPolicy:
      type: object
      properties:
        quoteId:
          type: string
        userWallet:
          type: string
    Policy:
      type: object
      properties:
        policyId:
          type: string
        status:
          type: string

````